-rw-r--r-- | delta.jscad | 17 |
1 files changed, 17 insertions, 0 deletions
diff --git a/delta.jscad b/delta.jscad index 5be6715..fd36ba5 100644 --- a/delta.jscad +++ b/delta.jscad | |||
@@ -1,20 +1,37 @@ | |||
1 | var PRINT = { | 1 | var PRINT = { |
2 | layer_height: 0.2, | 2 | layer_height: 0.2, |
3 | extrusion_width: 0.4, | 3 | extrusion_width: 0.4, |
4 | 4 | ||
5 | fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6 | 5 | fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6 |
6 | }; | 6 | }; |
7 | 7 | ||
8 | var CONFIG = { | 8 | var CONFIG = { |
9 | side: { | ||
10 | el: 240, // side extrusion length | ||
11 | tl: 240+2*70, // triangle side length | ||
12 | gap: 9 // vertical gap between side extrusions | ||
13 | }, | ||
14 | column: { | ||
15 | h: 600 // column height | ||
16 | }, | ||
17 | heatbed: { | ||
18 | r: 220/2, // heatbed radius | ||
19 | sr: 220/2-4.5,// radius of the screwholes circle | ||
20 | h: 3+1.5 // thickness (including insulation) | ||
21 | }, | ||
22 | glass: { | ||
23 | r: 195/2, // glass radius | ||
24 | h: 3 // glass thickness | ||
25 | }, | ||
9 | hotend: { | 26 | hotend: { |
10 | h: 62.4, // full assembly height | 27 | h: 62.4, // full assembly height |
11 | groove: { d:12, h:6 }, // grove diameter and height | 28 | groove: { d:12, h:6 }, // grove diameter and height |
12 | ungroove: { d:16, above:3.7, below: 3+4 } | 29 | ungroove: { d:16, above:3.7, below: 3+4 } |
13 | }, | 30 | }, |
14 | effector: { | 31 | effector: { |
15 | h: 6, | 32 | h: 6, |
16 | o: 20,// offset to the rod mounts line | 33 | o: 20,// offset to the rod mounts line |
17 | rods_apart: 40, | 34 | rods_apart: 40, |
18 | cone: { shell: 1, angle: Math.PI/6 }, | 35 | cone: { shell: 1, angle: Math.PI/6 }, |
19 | rodend: { | 36 | rodend: { |
20 | joint_w: 7,// thickness of the joint | 37 | joint_w: 7,// thickness of the joint |